Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 4147)
@@ -19,26 +19,28 @@
    PUBLIC
 
+ 
+   !
    !!----------------------------------------------------------------------
    !!                   namrun namelist parameters
    !!----------------------------------------------------------------------
-   CHARACTER(lc) ::   cn_exp        = "exp0"      !: experiment name used for output filename
-   CHARACTER(lc) ::   cn_ocerst_in  = "restart"   !: suffix of ocean restart name (input)
-   CHARACTER(lc) ::   cn_ocerst_out = "restart"   !: suffix of ocean restart name (output)
-   LOGICAL       ::   ln_rstart     = .FALSE.     !: start from (F) rest or (T) a restart file
-   INTEGER       ::   nn_no         = 0           !: job number
-   INTEGER       ::   nn_rstctl     = 0           !: control of the time step (0, 1 or 2)
-   INTEGER       ::   nn_rstssh     = 0           !: hand made initilization of ssh or not (1/0)
-   INTEGER       ::   nn_it000      = 1           !: index of the first time step
-   INTEGER       ::   nn_itend      = 10          !: index of the last time step
-   INTEGER       ::   nn_date0      = 961115      !: initial calendar date aammjj
-   INTEGER       ::   nn_leapy      = 0           !: Leap year calendar flag (0/1 or 30)
-   INTEGER       ::   nn_istate     = 0           !: initial state output flag (0/1)
-   INTEGER       ::   nn_write      =   10        !: model standard output frequency
-   INTEGER       ::   nn_stock      =   10        !: restart file frequency
-   LOGICAL       ::   ln_dimgnnn    = .FALSE.     !: type of dimgout. (F): 1 file for all proc
+   CHARACTER(lc) ::   cn_exp           !: experiment name used for output filename
+   CHARACTER(lc) ::   cn_ocerst_in     !: suffix of ocean restart name (input)
+   CHARACTER(lc) ::   cn_ocerst_out    !: suffix of ocean restart name (output)
+   LOGICAL       ::   ln_rstart        !: start from (F) rest or (T) a restart file
+   INTEGER       ::   nn_no            !: job number
+   INTEGER       ::   nn_rstctl        !: control of the time step (0, 1 or 2)
+   INTEGER       ::   nn_rstssh   = 0  !: hand made initilization of ssh or not (1/0)
+   INTEGER       ::   nn_it000         !: index of the first time step
+   INTEGER       ::   nn_itend         !: index of the last time step
+   INTEGER       ::   nn_date0         !: initial calendar date aammjj
+   INTEGER       ::   nn_leapy         !: Leap year calendar flag (0/1 or 30)
+   INTEGER       ::   nn_istate        !: initial state output flag (0/1)
+   INTEGER       ::   nn_write         !: model standard output frequency
+   INTEGER       ::   nn_stock         !: restart file frequency
+   LOGICAL       ::   ln_dimgnnn       !: type of dimgout. (F): 1 file for all proc
                                                        !:                  (T): 1 file per proc
-   LOGICAL       ::   ln_mskland    = .FALSE.     !: mask land points in NetCDF outputs (costly: + ~15%)
-   LOGICAL       ::   ln_clobber    = .FALSE.     !: clobber (overwrite) an existing file
-   INTEGER       ::   nn_chunksz    = 0           !: chunksize (bytes) for NetCDF file (works only with iom_nf90 routines)
+   LOGICAL       ::   ln_mskland       !: mask land points in NetCDF outputs (costly: + ~15%)
+   LOGICAL       ::   ln_clobber       !: clobber (overwrite) an existing file
+   INTEGER       ::   nn_chunksz       !: chunksize (bytes) for NetCDF file (works only with iom_nf90 routines)
 #if defined key_netcdf4
    !!----------------------------------------------------------------------
@@ -49,12 +51,12 @@
    ! for runtime optimisation. The individual netcdf4 chunks can be optionally 
    ! gzipped (recommended) leading to significant reductions in I/O volumes 
-   !                                   !!!**  variables only used with iom_nf90 routines and key_netcdf4 **
-   INTEGER ::   nn_nchunks_i = 1        !: number of chunks required in the i-dimension 
-   INTEGER ::   nn_nchunks_j = 1        !: number of chunks required in the j-dimension 
-   INTEGER ::   nn_nchunks_k = 1        !: number of chunks required in the k-dimension 
-   INTEGER ::   nn_nchunks_t = 1        !: number of chunks required in the t-dimension 
-   LOGICAL ::   ln_nc4zip    = .TRUE.   !: netcdf4 usage: (T) chunk and compress output using the HDF5 sublayers of netcdf4
-   !                                    !                 (F) ignore chunking request and use the netcdf4 library 
-   !                                    !                     to produce netcdf3-compatible files 
+   !                         !!!**  variables only used with iom_nf90 routines and key_netcdf4 **
+   INTEGER ::   nn_nchunks_i   !: number of chunks required in the i-dimension 
+   INTEGER ::   nn_nchunks_j   !: number of chunks required in the j-dimension 
+   INTEGER ::   nn_nchunks_k   !: number of chunks required in the k-dimension 
+   INTEGER ::   nn_nchunks_t   !: number of chunks required in the t-dimension 
+   LOGICAL ::   ln_nc4zip      !: netcdf4 usage: (T) chunk and compress output using the HDF5 sublayers of netcdf4
+   !                           !                 (F) ignore chunking request and use the netcdf4 library 
+   !                           !                     to produce netcdf3-compatible files 
 #endif
 !$AGRIF_DO_NOT_TREAT
@@ -87,14 +89,14 @@
    !!                    output monitoring
    !!----------------------------------------------------------------------
-   LOGICAL ::   ln_ctl     = .FALSE.   !: run control for debugging
-   INTEGER ::   nn_timing    =    0    !: run control for timing
-   INTEGER ::   nn_print     =    0    !: level of print (0 no print)
-   INTEGER ::   nn_ictls     =    0    !: Start i indice for the SUM control
-   INTEGER ::   nn_ictle     =    0    !: End   i indice for the SUM control
-   INTEGER ::   nn_jctls     =    0    !: Start j indice for the SUM control
-   INTEGER ::   nn_jctle     =    0    !: End   j indice for the SUM control
-   INTEGER ::   nn_isplt     =    1    !: number of processors following i
-   INTEGER ::   nn_jsplt     =    1    !: number of processors following j
-   INTEGER ::   nn_bench     =    0    !: benchmark parameter (0/1)
+   LOGICAL ::   ln_ctl       !: run control for debugging
+   INTEGER ::   nn_timing    !: run control for timing
+   INTEGER ::   nn_print     !: level of print (0 no print)
+   INTEGER ::   nn_ictls     !: Start i indice for the SUM control
+   INTEGER ::   nn_ictle     !: End   i indice for the SUM control
+   INTEGER ::   nn_jctls     !: Start j indice for the SUM control
+   INTEGER ::   nn_jctle     !: End   j indice for the SUM control
+   INTEGER ::   nn_isplt     !: number of processors following i
+   INTEGER ::   nn_jsplt     !: number of processors following j
+   INTEGER ::   nn_bench     !: benchmark parameter (0/1)
    INTEGER ::   nn_bit_cmp   =    0    !: bit reproducibility  (0/1)
 
@@ -107,17 +109,21 @@
    !!                        logical units
    !!----------------------------------------------------------------------
-   INTEGER ::   numstp      =   -1      !: logical unit for time step
-   INTEGER ::   numtime     =   -1      !: logical unit for timing
-   INTEGER ::   numout      =    6      !: logical unit for output print
-   INTEGER ::   numnam      =   -1      !: logical unit for namelist
-   INTEGER ::   numnam_ice  =   -1      !: logical unit for ice namelist
-   INTEGER ::   numevo_ice  =   -1      !: logical unit for ice variables (temp. evolution)
-   INTEGER ::   numsol      =   -1      !: logical unit for solver statistics
-   INTEGER ::   numdct_in   =   -1      !: logical unit for transports computing
-   INTEGER ::   numdct_vol  =   -1      !: logical unit for voulume transports output
-   INTEGER ::   numdct_heat =   -1      !: logical unit for heat    transports output
-   INTEGER ::   numdct_salt =   -1      !: logical unit for salt    transports output
-   INTEGER ::   numfl      =   -1      !: logical unit for floats ascii output
-   INTEGER ::   numflo     =   -1      !: logical unit for floats ascii output
+   INTEGER ::   numstp          =   -1      !: logical unit for time step
+   INTEGER ::   numtime         =   -1      !: logical unit for timing
+   INTEGER ::   numout          =    6      !: logical unit for output print
+   INTEGER ::   numnam_ref      =   -1      !: logical unit for reference namelist
+   INTEGER ::   numnam_cfg      =   -1      !: logical unit for configuration specific namelist
+   INTEGER ::   numond          =    7      !: logical unit for Output Namelist Dynamics
+   INTEGER ::   numnam_ice_ref  =   -1      !: logical unit for ice reference namelist
+   INTEGER ::   numnam_ice_cfg  =   -1      !: logical unit for ice reference namelist
+   INTEGER ::   numoni          =    8      !: logical unit for Output Namelist Ice
+   INTEGER ::   numevo_ice      =   -1      !: logical unit for ice variables (temp. evolution)
+   INTEGER ::   numsol          =   -1      !: logical unit for solver statistics
+   INTEGER ::   numdct_in       =   -1      !: logical unit for transports computing
+   INTEGER ::   numdct_vol      =   -1      !: logical unit for voulume transports output
+   INTEGER ::   numdct_heat     =   -1      !: logical unit for heat    transports output
+   INTEGER ::   numdct_salt     =   -1      !: logical unit for salt    transports output
+   INTEGER ::   numfl           =   -1      !: logical unit for floats ascii output
+   INTEGER ::   numflo          =   -1      !: logical unit for floats ascii output
 
    !!----------------------------------------------------------------------
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90	(revision 4147)
@@ -156,5 +156,5 @@
          WRITE(numout,*)
          SELECT CASE ( jprstlib )
-         CASE ( jpnf90    )   ;   WRITE(numout,*) 'rst_read : read oce NetCDF restart file'
+         CASE ( jpnf90    )   ;   WRITE(numout,*) 'rst_read : read oce NetCDF restart file ',TRIM(cn_ocerst_in)//'.nc'
          CASE ( jprstdimg )   ;   WRITE(numout,*) 'rst_read : read oce binary restart file'
          END SELECT
